/*Copyright (c) 2012 Moussa Dembélé (www.mousman.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/
package com.mousman.as3.agal.parser.dto
{
	/**
	 * @author Moussa Dembélé (www.mousman.com)
	 */
	public class MBuffersWriterDTO 
	{
	
		private var _forceAmbiantColor:Boolean = false;
		private var _forceDiffuseColor:Boolean = false;
		private var _forceSpecularColor:Boolean = false;
		private var _forceEmissiveColor:Boolean = false;
		private var _colorRandom:Boolean = false;
		private var _diffuseColor:uint=0;
		private var _ambiantColor:uint=0;
		private var _specularColor:uint=0;
		private var _emissiveColor:uint=0;
		private var _specularCoef:Number=100;		
		
		public function MBuffersWriterDTO() 
		{
			
		}

		/**
		* indicate if ambiant color has to be forced by the writer
		* @default false
		*/ 		
		public function set forceAmbiantColor(value:Boolean):void {_forceAmbiantColor = value;}
		public function get forceAmbiantColor():Boolean {return _forceAmbiantColor;}
		
		/**
		* indicate if diffuse color has to be forced by the writer
		* @default false
		*/ 		
		public function set forceDiffuseColor(value:Boolean):void {	_forceDiffuseColor = value;}
		public function get forceDiffuseColor():Boolean {return _forceDiffuseColor;}
		
		/**
		* indicate if specular color has to be forced by the writer
		* @default false
		*/ 		
		public function set forceSpecularColor(value:Boolean):void {_forceSpecularColor = value;}
		public function get forceSpecularColor():Boolean {return _forceSpecularColor;}
		
		/**
		* indicate if emissive color has to be forced by the writer
		* @default false
		*/ 		
		public function set forceEmissiveColor(value:Boolean):void 	{_forceEmissiveColor = value;}
		public function get forceEmissiveColor():Boolean {return _forceEmissiveColor;}
		
		/**
		* diffuse color
		* @default 0x000000
		*/ 		
		public function set diffuseColor(value:uint):void {_diffuseColor = value;}
		public function get diffuseColor():uint {return _diffuseColor;}
		
		/**
		* ambiant color
		* @default 0x000000
		*/ 		
		public function set ambiantColor(value:uint):void {_ambiantColor = value;}
		public function get ambiantColor():uint { return _ambiantColor; }
		
		/**
		* emissive color
		* @default 0x000000
		*/ 		
		
		public function set emissiveColor(value:uint):void {_emissiveColor = value;}
		public function get emissiveColor():uint {return _emissiveColor;}
		/**
		* specular color
		* @default 0x000000
		*/ 		
		public function set specularColor(value:uint):void {_specularColor = value;}
		public function get specularColor():uint {return _specularColor;}
		
		/**
		* specular coef
		* @default 100
		*/ 		
		public function set specularCoef(value:Number):void {_specularCoef = value;}
		public function get specularCoef():Number {return _specularCoef;}
		
		/**
		* indicates if the color for each vertex is random
		* @default false
		*/ 		
		public function set colorRandom(value:Boolean):void {_colorRandom = value;}
		public function get colorRandom():Boolean {	return _colorRandom;}
	}

}